--- title: "Convert a Group to Team" slug: "convert-a-group-to-team" updated: 2026-09-03T14:50:33Z published: 2026-09-03T14:50:33Z canonical: "developer.rocket.chat/convert-a-group-to-team" stale: true --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Convert a Group to Team Post/api/v1/groups.convertToTeam Convert a private channel to a team. Permissions required: `create-team`, `edit-room` ### Changelog | Version | Description | | --- | --- | | 3.13.0 | Added | Header parametersX-Auth-TokenstringRequired The `authToken` of the authenticated user. ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f X-User-IdstringRequired The `userId` of the authenticated user. ExamplerbAXPnMktTFbNpwtJ Body parametersExample 1 ```json { "roomId": "JZ8Y2dLfYhsg323Rf" } ``` object roomIdstring Required Enter the private channel that you want to convert to a private team. ExampleJZ8Y2dLfYhsg323Rf Responses200 OK Success ```json { "team": { "_id": "6172b15bc563fc000acc462e", "name": "ddd", "type": 1, "createdAt": "2021-10-22T12:40:59.928Z", "createdBy": { "_id": "d26x6zSkaPSe5gCyy", "username": "rod" }, "_updatedAt": "2021-10-22T12:40:59.928Z", "roomId": "h3HLZkQdrWCPg2RN7" }, "success": true } ``` Expand Allobject teamobject _idstring namestring typeinteger createdAtstring createdByobject _idstring usernamestring _updatedAtstring roomIdstring successboolean 400 Bad Request Team name exists ```json { "success": false, "error": "team-name-already-exists" } ``` Room name is required ```json { "success": false, "error": "The parameter \"roomId\" or \"roomName\" is required" } ``` Room not found ```json { "success": false, "error": "The required \"roomId\" or \"roomName\" param provided does not match any group [error-room-not-found]", "errorType": "error-room-not-found" } ``` object successboolean errorstring 401 Unauthorized Authorization Error ```json { "status": "error", "message": "You must be logged in to do this." } ``` object statusstring messagestring